<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  xmlns:rx="http://typo3.org/ns/Reelworx/RxShariff/ViewHelper"
	  data-namespace-typo3-fluid="true">

<f:layout name="Detail" />

<!--
	=====================
		News/Detail.html
-->

<f:section name="content">
	<f:if condition="{newsItem}">
		<f:then>
            <f:render partial="Detail/Opengraph" arguments="{newsItem: newsItem, settings:settings}" />
			<h1 class="article__headline" itemprop="headline">{newsItem.title}</h1>
            <meta itemprop="author" content="{newsItem.author}" />
            <f:render partial="Detail/MediaContainer" arguments="{media: newsItem.media, settings:settings}" />
            <div class="article__text">
    			<f:if condition="{newsItem.contentElements}">
    				<!-- content elements -->
    				<f:cObject typoscriptObjectPath="lib.tx_news.contentElementRendering">{newsItem.contentElementIdList}</f:cObject>
    			</f:if>

    			<!-- main text -->
    			<div itemprop="articleBody">
    				<f:format.html>{newsItem.bodytext}</f:format.html>
    			</div>
            </div>

			<!-- related things -->
			<div class="news-related-wrap">
				<f:comment>
					Various options exist to fetch different related information:
					- {newsItem.allRelatedSorted}: all related news, related und related from, sorted by date
					- {newsItem.related}: all related
					- {newsItem.relatedSorted}: all related, sorted by date
					- {newsItem.relatedFrom}: all related from
					- {newsItem.relatedFromSorted}: all related from, sorted by date
				</f:comment>

				<f:if condition="{newsItem.allRelatedSorted}">
					<!-- Related news records -->
					<div class="news-related news-related-news">
						<h4>
							<f:translate key="related-news" />
						</h4>
						<ul>
							<f:for each="{newsItem.allRelatedSorted}" as="related">
								<li>
									<span class="news-related-news-date"><f:format.date format="{f:translate(key:'dateFormat')}">{related.datetime}</f:format.date></span>
									<n:link newsItem="{related}" settings="{settings}" title="{related.title}">{related.title}</n:link>
								</li>
							</f:for>
						</ul>
					</div>
				</f:if>

				<f:if condition="{newsItem.relatedFiles}">
					<!-- related files -->
					<div class="news-related news-related-files">
						<h4>
							<f:translate key="related-files" />
						</h4>
						<ul>
							<f:for each="{newsItem.relatedFiles}" as="relatedFile">
								<li>
									<span class="news-related-files-link">
										<a href="{relatedFile.originalResource.publicUrl -> f:format.htmlspecialchars()}" target="_blank">
											{f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}
										</a>
									</span>
									<span class="news-related-files-size">
										{relatedFile.originalResource.size -> f:format.bytes()}
									</span>
								</li>
							</f:for>
						</ul>
					</div>
				</f:if>

				<f:if condition="{newsItem.relatedLinks}">
					<!-- Related links -->
					<div class="news-related news-related-links">
						<h4>
							<f:translate key="related-links" />
						</h4>
						<ul>
							<f:for each="{newsItem.relatedLinks}" as="relatedLink">
								<li>
									<f:link.page pageUid="{relatedLink.uri}" title="{relatedLink.title}" target="{n:targetLink(link:relatedLink.uri)}">{f:if(condition: relatedLink.title, then: relatedLink.title, else: relatedLink.uri)}</f:link.page>
									<f:if condition="{relatedLink.description}"><span>{relatedLink.description}</span></f:if>
								</li>
							</f:for>
						</ul>
					</div>
				</f:if>
			</div>
            <div class="article__footer">
                <!-- date -->
                <span class="artilce__footer-date">
                    <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
                        <f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
                    </time>
                </span>

                <f:if condition="{newsItem.tags}">
                    <!-- Tags -->
                    <span class="news-list-tags" itemprop="keywords">
                        <f:for each="{newsItem.tags}" as="tag">#{tag.title}</f:for>
                    </span>
                </f:if>
            </div>
            <f:if condition="{settings.detail.disqusShortname}">
				<div id="disqus_thread"></div>
				<n:social.disqus newsItem="{newsItem}"
								 shortName="{settings.detail.disqusShortname}"
								 link="{n:link(newsItem:newsItem, settings:settings, uriOnly:1, configuration:'{forceAbsoluteUrl:1}')}" />
			</f:if>
		</f:then>
	</f:if>
</f:section>
</html>
